﻿using System;

namespace RespondentsCalculator
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("iNetTutor.com");
            Console.WriteLine("Respondents Calculator");
            Console.WriteLine("---------------------");

            // Ask the user to enter the total population size
            Console.Write("Enter the total population size (N): ");
            double totalPopulation;
            if (double.TryParse(Console.ReadLine(), out totalPopulation) && totalPopulation > 0)
            {
                double marginOfError = 0.05; // Margin of error (e) is 0.05 in this case

                // Calculate the number of respondents using Sloven's formula
                double numberOfRespondents = totalPopulation / (1 + (totalPopulation * Math.Pow(marginOfError, 2)));

                // Display the result
                Console.WriteLine($"Number of respondents (n): {numberOfRespondents:F0}");
            }
            else
            {
                Console.WriteLine("Invalid input. Please enter a valid positive total population size.");
            }

            Console.WriteLine("Press any key to exit.");
            Console.ReadKey();
        }
    }
}